List data sources
curl --request GET \
--url https://ai.data.cloud/api/v1/team/datasets/{datasetId}/datasources \
--header 'x-pd-api-key: <api-key>'import requests
url = "https://ai.data.cloud/api/v1/team/datasets/{datasetId}/datasources"
headers = {"x-pd-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-pd-api-key': '<api-key>'}};
fetch('https://ai.data.cloud/api/v1/team/datasets/{datasetId}/datasources', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 0,
"data": {
"total": 1,
"pageSize": 10,
"pageNumber": 1,
"records": [
{
"id": "datasource-cadsgfsdagasgadsg",
"datasetId": "dataset-dagasdgasgasg",
"name": "test.csv",
"fileName": "test.csv",
"type": "FILE",
"status": "pending"
}
]
}
}Data sources
List data sources
Lists data sources contained in the specified dataset.
GET
/
v1
/
team
/
datasets
/
{datasetId}
/
datasources
List data sources
Authorizations
Headers
The external trace ID. The length ranges from 0 to 128 characters.
Path Parameters
The dataset ID.
Query Parameters
The number of pages to display. If not specified, the default value 1 will be used.
The number of items on a single page. If not specified, the default value 10 will be used.
The status of data sources to list. Possible values are:
invalid: Awaiting processing.synching: Currently processing.synched: Successfully synchronized. If not specified, data sources in any status will be returned. Multiple statuses can be specified in a comma-separated list, and data sources matching any will be displayed.
Available options:
synching, invalid, synched Response
200 - application/json